> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Openai Subscription Models

> List models available through ChatGPT subscription authentication.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/llm/subscription/openai/models
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/llm/subscription/openai/models:
    get:
      tags:
        - LLM
      summary: List Openai Subscription Models
      description: List models available through ChatGPT subscription authentication.
      operationId: list_openai_subscription_models_api_llm_subscription_openai_models_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionModelsResponse'
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  schemas:
    SubscriptionModelsResponse:
      description: Models available through a subscription provider.
      properties:
        models:
          items:
            type: string
          title: Models
          type: array
        vendor:
          default: openai
          title: Vendor
          type: string
      required:
        - models
      title: SubscriptionModelsResponse
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.